Skip to main content
`Ctrl`+`K`

# EPSEVSLSetRange

Defines the numerical range (or field of values) of the problem, that is, the interval containing all eigenvalues.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetRange(EPS eps,PetscReal lmin,PetscReal lmax)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- lmin - left end of the interval

- lmax - right end of the interval

## Options Database Key

- -eps_evsl_range lmin,lmax - set \([\lambda_\mathrm{min},\lambda_\mathrm{max}]\) as the numerical range

## Notes

The filter will be most effective if the numerical range is tight, that is, `lmin` and `lmax` are good approximations to the leftmost and rightmost eigenvalues, respectively. If not set by the user, an approximation is computed internally.

The wanted computational interval specified via `EPSSetInterval()` must be contained in the numerical range.

See the documentation of EVSL [Li et al., 2019] for details.

## References

[Li19]

R. Li, Y. Xi, L. Erlandson, and Y. Saad. The eigenvalues slicing library (EVSL): algorithms, implementation, and software. SIAM J. Sci. Comput., 41(4):C393–C415, 2019. doi:10.1137/18M1170935.

## See Also

EPS: Eigenvalue Problem Solver, `EPSEVSL`, `EPSEVSLGetRange()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/external/evsl/evsl.c

## Implementations

EPSEVSLSetRange_EVSL() in src/eps/impls/external/evsl/evsl.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages